function [ap, pr, re] = evalgt(result, rrank, gt, junk)

isgt = ismember(result, gt);
result = result(isgt);
rrank = rrank(isgt);

N = sum(~junk);
gtnj = gt(~junk);

[rrank, ord] = sort(rrank);
result = result(ord);

isjunk = ismember(result, gt(junk));
subt = cumsum(isjunk);

nrank = rrank(:) - subt(:);

nres = result(~isjunk);
nrank = nrank(~isjunk);

r = length(nrank);

hp = [1:r] ./ nrank';
if r > 1
  hl(2:r) = [1:r-1] ./ (nrank(2:r)'-1);
end

if ~isempty(nrank) & (nrank(1) == 1)
  hl(1) = 1;
else
  hl(1) = 0;
end

ap = sum(hp + hl) / (2 * N);

re = [[0:r-1];[1:r]] / N;
re = re(:);
pr = [hl; hp];
pr = pr(:);

%keyboard

rmv = (diff(re) == 0) & (diff(pr) == 0);
rmv = [0;rmv];
re = re(~rmv);
pr = pr(~rmv);